Package org.eclipse.ui.menus

## Class AbstractWorkbenchTrimWidget

- java.lang.Object
- - org.eclipse.jface.menus.AbstractTrimWidget
  - - org.eclipse.ui.menus.AbstractWorkbenchTrimWidget

All Implemented Interfaces:
  `IWidget`, `IWorkbenchWidget`

    public abstract class AbstractWorkbenchTrimWidget
    extends AbstractTrimWidget
    implements IWorkbenchWidget

Extension for trim widgets contributed to the workbench. The extension point handler will call the `init` method to inform the contributed widgets as to which workbench window they're currently being hosted in.

Since:
  3.2

### Constructor Summary

Constructors
`AbstractWorkbenchTrimWidget()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Point` `getPreferredSize()`
`IWorkbenchWindow` `getWorkbenchWindow()` Convenience method to get the IWorkbenchWindow that is hosting this widget.
`void` `init​(IWorkbenchWindow workbenchWindow)` Define the IWorkbenchWindow that this trim is being hosted in.

### Methods inherited from class org.eclipse.jface.menus.AbstractTrimWidget

`dispose, fill, fill, fill, fill, fill`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.menus.IWidget

`dispose, fill, fill, fill, fill`

### Constructor Detail

#### AbstractWorkbenchTrimWidget

    public AbstractWorkbenchTrimWidget()

### Method Detail

#### init

    public void init​(IWorkbenchWindow workbenchWindow)

Define the IWorkbenchWindow that this trim is being hosted in. Note that subclasses may extend but should not override. The base implementation caches the value for access through the `getWorkbenchWindow` method.

Specified by:
  `init` in interface `IWorkbenchWidget`
Parameters:
  `workbenchWindow` - the current workbench
See Also:
  `IWorkbenchWidget.init(org.eclipse.ui.IWorkbenchWindow)`

#### getWorkbenchWindow

    public IWorkbenchWindow getWorkbenchWindow()

Convenience method to get the IWorkbenchWindow that is hosting this widget.

Returns:
  The IWorkbenchWindow hosting this widget.

#### getPreferredSize

    public Point getPreferredSize()

Returns:
  The preferred size of this item
Since:
  3.3